ajr-dev

20200727124103-cron.log

Jul 27th, 2020
54
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Collecting git+https://github.com/Czaki/pip-check-reqs.git@master (from -r requirements.txt (line 20))
  2.   Cloning https://github.com/Czaki/pip-check-reqs.git (to master) to /tmp/pip-9naxvy3l-build
  3. Collecting anytree==2.8.0 (from -r requirements.txt (line 1))
  4.   Downloading https://files.pythonhosted.org/packages/a8/65/be23d8c3ecd68d40541d49812cd94ed0f3ee37eb88669ca15df0e43daed1/anytree-2.8.0-py2.py3-none-any.whl (41kB)
  5. Collecting astroid==2.4.2 (from -r requirements.txt (line 2))
  6.   Downloading https://files.pythonhosted.org/packages/24/a8/5133f51967fb21e46ee50831c3f5dda49e976b7f915408d670b1603d41d6/astroid-2.4.2-py3-none-any.whl (213kB)
  7. Requirement already satisfied: attrs==19.3.0 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 3))
  8. Collecting babel==2.8.0 (from -r requirements.txt (line 4))
  9.   Downloading https://files.pythonhosted.org/packages/15/a1/522dccd23e5d2e47aed4b6a16795b8213e3272c7506e625f2425ad025a19/Babel-2.8.0-py2.py3-none-any.whl (8.6MB)
  10. Collecting beautifulsoup4==4.9.1 (from -r requirements.txt (line 5))
  11.   Downloading https://files.pythonhosted.org/packages/66/25/ff030e2437265616a1e9b25ccc864e0371a0bc3adb7c5a404fd661c6f4f6/beautifulsoup4-4.9.1-py3-none-any.whl (115kB)
  12. Collecting better_profanity==0.6.1 (from -r requirements.txt (line 6))
  13.   Downloading https://files.pythonhosted.org/packages/7f/a9/cfcd658b95e1acb51f8c100870398ae1de038d832c02410bc0214d6caf90/better_profanity-0.6.1-py3-none-any.whl (41kB)
  14. Collecting cachecontrol[filecache]==0.12.6 (from -r requirements.txt (line 7))
  15.   Downloading https://files.pythonhosted.org/packages/18/71/0a9df4206a5dc5ae7609c41efddab2270a2c1ff61d39de7591dc7302ef89/CacheControl-0.12.6-py2.py3-none-any.whl
  16. Collecting cachelib==0.1.1 (from -r requirements.txt (line 8))
  17.   Downloading https://files.pythonhosted.org/packages/e6/fc/9c5571cf72ac3ea64ad5cd9d704c1000452cb483a6a3233357d8f3da6991/cachelib-0.1.1-py3-none-any.whl
  18. Collecting changelogs==0.14.0 (from -r requirements.txt (line 9))
  19.   Downloading https://files.pythonhosted.org/packages/77/d3/ad0db239a4a392f6263067dfcce13b47c908c84839c587a696fff180a827/changelogs-0.14.0-py2.py3-none-any.whl
  20. Collecting coverage==5.2 (from -r requirements.txt (line 10))
  21.   Downloading https://files.pythonhosted.org/packages/dd/ee/2cc12177fe77d116d5a0c5e7c2fb2c1f5f3d5dd287e8bb67a17948684ede/coverage-5.2-cp37-cp37m-manylinux1_x86_64.whl (229kB)
  22. Collecting discord.py[voice]==1.3.4 (from -r requirements.txt (line 11))
  23.   Downloading https://files.pythonhosted.org/packages/e9/d4/1b6e6ed08d9cfb6b31ae6eae7cbb57373c153e9f1a7037b369579dccb0b2/discord.py-1.3.4-py3-none-any.whl (676kB)
  24. Collecting feedparser==5.2.1 (from -r requirements.txt (line 12))
  25.   Downloading https://files.pythonhosted.org/packages/91/d8/7d37fec71ff7c9dbcdd80d2b48bcdd86d6af502156fc93846fb0102cb2c4/feedparser-5.2.1.tar.bz2 (192kB)
  26. Collecting flask==1.1.2 (from -r requirements.txt (line 13))
  27.   Downloading https://files.pythonhosted.org/packages/f2/28/2a03252dfb9ebf377f40fba6a7841b47083260bf8bd8e737b0c6952df83f/Flask-1.1.2-py2.py3-none-any.whl (94kB)
  28. Collecting flask-babel==1.0.0 (from -r requirements.txt (line 14))
  29.   Downloading https://files.pythonhosted.org/packages/76/a4/0115c7c520125853037fc1d6b3da132a526949640e27a699a13e05ec7593/Flask_Babel-1.0.0-py3-none-any.whl
  30. Collecting Flask-Migrate==2.5.3 (from -r requirements.txt (line 15))
  31.   Downloading https://files.pythonhosted.org/packages/e5/64/c75f173ba5420f5174be6f04dfa8d8250d4808c12a9cd781e84c0b31684f/Flask_Migrate-2.5.3-py2.py3-none-any.whl
  32. Collecting flask-restx==0.2.0 (from -r requirements.txt (line 16))
  33.   Downloading https://files.pythonhosted.org/packages/31/61/cd22fe928dd132feabed3bdf1d23e668ae81f572e5530b7e618e64a02ebe/flask_restx-0.2.0-py2.py3-none-any.whl (2.6MB)
  34. Collecting flask-session==0.3.2 (from -r requirements.txt (line 17))
  35.   Downloading https://files.pythonhosted.org/packages/32/6a/c1cf600a14b98347a35b1142bb5f2674f356c261a6de4a36c88fc8a47620/Flask_Session-0.3.2-py2.py3-none-any.whl
  36. Collecting Flask-SQLAlchemy==2.4.4 (from -r requirements.txt (line 18))
  37.   Downloading https://files.pythonhosted.org/packages/af/4b/3dd83c3e2c6e3034b804d971952e0120606506f153990cc56d2d33173b72/Flask_SQLAlchemy-2.4.4-py2.py3-none-any.whl
  38. Collecting ftfy==5.8 (from -r requirements.txt (line 19))
  39.   Downloading https://files.pythonhosted.org/packages/ff/e2/3b51c53dffb1e52d9210ebc01f1fb9f2f6eba9b3201fa971fd3946643c71/ftfy-5.8.tar.gz (64kB)
  40. Collecting github_webhook==1.0.4 (from -r requirements.txt (line 21))
  41.   Downloading https://files.pythonhosted.org/packages/b8/d4/34ef2d6179d12a4bf99d4d5a69849067bbd406fd80f6d0281b5b2073aa98/github_webhook-1.0.4-py2.py3-none-any.whl
  42. Collecting google-api-python-client==1.10.0 (from -r requirements.txt (line 22))
  43.   Downloading https://files.pythonhosted.org/packages/27/90/2f62cfb242ed19e6e76e96434543003990ebefed475c208d6f342d824931/google_api_python_client-1.10.0-py2.py3-none-any.whl (60kB)
  44. Collecting inflect==4.1.0 (from -r requirements.txt (line 23))
  45.   Downloading https://files.pythonhosted.org/packages/b3/27/15edd6e1519f4e489ff50def9367a62d138baa9c000a053c67ac38156519/inflect-4.1.0-py3-none-any.whl
  46. Collecting isort==4.3.21 (from -r requirements.txt (line 24))
  47.   Downloading https://files.pythonhosted.org/packages/e5/b0/c121fd1fa3419ea9bfd55c7f9c4fedfec5143208d8c7ad3ce3db6c623c21/isort-4.3.21-py2.py3-none-any.whl (42kB)
  48. Collecting jsbeautifier==1.11.0 (from -r requirements.txt (line 25))
  49.   Downloading https://files.pythonhosted.org/packages/55/e5/8e4b9333ea00a90f68b455202859a2a62258f0a5ac13fa4d8301cbe8bcdd/jsbeautifier-1.11.0.tar.gz (69kB)
  50. Requirement already satisfied: markdown==3.2.2 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 26))
  51. Collecting matplotlib==3.3.0 (from -r requirements.txt (line 27))
  52.   Downloading https://files.pythonhosted.org/packages/1c/15/3fea1bfb7e5b77b7cca9c6010a9cabc58ea125385345ecb6f5832eb8b49a/matplotlib-3.3.0-1-cp37-cp37m-manylinux1_x86_64.whl (11.5MB)
  53. Collecting munch==2.5.0 (from -r requirements.txt (line 28))
  54.   Downloading https://files.pythonhosted.org/packages/cc/ab/85d8da5c9a45e072301beb37ad7f833cd344e04c817d97e0cc75681d248f/munch-2.5.0-py2.py3-none-any.whl
  55. Collecting mypy==0.782 (from -r requirements.txt (line 29))
  56.   Downloading https://files.pythonhosted.org/packages/a7/25/da35a577040effa507d465102a0e001b29279d759f46218af91985ab0392/mypy-0.782-cp37-cp37m-manylinux1_x86_64.whl (20.8MB)
  57. Collecting mypy-extensions==0.4.3 (from -r requirements.txt (line 30))
  58.   Downloading https://files.pythonhosted.org/packages/5c/eb/975c7c080f3223a5cdaff09612f3a5221e4ba534f7039db34c35d95fa6a5/mypy_extensions-0.4.3-py2.py3-none-any.whl
  59. Collecting mysqlclient==2.0.1 (from -r requirements.txt (line 31))
  60.   Downloading https://files.pythonhosted.org/packages/a5/e1/e5f2b231c05dc51d9d87fa5066f90d1405345c54b14b0b11a1c859020f21/mysqlclient-2.0.1.tar.gz (87kB)
  61. Collecting packaging==20.4 (from -r requirements.txt (line 32))
  62.   Downloading https://files.pythonhosted.org/packages/46/19/c5ab91b1b05cfe63cccd5cfc971db9214c6dd6ced54e33c30d5af1d2bc43/packaging-20.4-py2.py3-none-any.whl
  63. Collecting pillow==7.2.0 (from -r requirements.txt (line 33))
  64.   Downloading https://files.pythonhosted.org/packages/e8/f2/6722dd0c22e3a143ac792ccb2424924ac72af4adea756b1165b4cad50da7/Pillow-7.2.0-cp37-cp37m-manylinux1_x86_64.whl (2.2MB)
  65. Collecting plumbum==1.6.9 (from -r requirements.txt (line 34))
  66.   Downloading https://files.pythonhosted.org/packages/99/0f/10be0ffe552cf422561adef1d03a303a98b2ba929191d14d5023b0514bfd/plumbum-1.6.9-py2.py3-none-any.whl (115kB)
  67. Collecting poeditor==1.1.2 (from -r requirements.txt (line 35))
  68.   Downloading https://files.pythonhosted.org/packages/a3/c0/8ddcd8fb9240963cef52b93d0d002583db2ae1eb267d43666d333baaf693/poeditor-1.1.2.tar.gz
  69. Collecting pygithub==1.51 (from -r requirements.txt (line 36))
  70.   Downloading https://files.pythonhosted.org/packages/e9/47/193780145caa381e9900991c03764506bdd472a64b0a60df1562dd9ac308/PyGithub-1.51-py3-none-any.whl (260kB)
  71. Collecting pygtrie==2.3.3 (from -r requirements.txt (line 37))
  72.   Downloading https://files.pythonhosted.org/packages/06/c5/6e47f12de6c9974f1efddbb7f7f99894f8634dd1a1e212f77c18709c57d5/pygtrie-2.3.3.tar.gz
  73. Collecting pyhumps==1.6.1 (from -r requirements.txt (line 38))
  74.   Downloading https://files.pythonhosted.org/packages/8b/5e/d075fb7d93d757da5601d55188bde9869a9a6b59b1fc8d7fb0fdce7714a2/pyhumps-1.6.1-py3-none-any.whl
  75. Requirement already satisfied: pyjwt==1.7.1 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 39))
  76. Collecting pylint==2.5.3 (from -r requirements.txt (line 40))
  77.   Downloading https://files.pythonhosted.org/packages/e8/fb/734960c55474c8f74e6ad4c8588fc44073fb9d69e223269d26a3c2435d16/pylint-2.5.3-py3-none-any.whl (324kB)
  78. Collecting pylint-quotes==0.2.1 (from -r requirements.txt (line 41))
  79.   Downloading https://files.pythonhosted.org/packages/30/1d/89162e1770dc9245848e4257b4bfb99aca3094076d9a58d9add3eb7a65e1/pylint_quotes-0.2.1-py2.py3-none-any.whl
  80. Collecting pystache==0.5.4 (from -r requirements.txt (line 42))
  81.   Downloading https://files.pythonhosted.org/packages/d6/fd/eb8c212053addd941cc90baac307c00ac246ac3fce7166b86434c6eae963/pystache-0.5.4.tar.gz (75kB)
  82. Collecting pytest==5.4.3 (from -r requirements.txt (line 43))
  83.   Downloading https://files.pythonhosted.org/packages/9f/f3/0a83558da436a081344aa6c8b85ea5b5f05071214106036ce341b7769b0b/pytest-5.4.3-py3-none-any.whl (248kB)
  84. Collecting pytest-asyncio==0.14.0 (from -r requirements.txt (line 44))
  85.   Downloading https://files.pythonhosted.org/packages/0b/82/b62efae871e8a543295c8c280b04a2da2ef3f6dd9bb830f6a1acc7145ad2/pytest_asyncio-0.14.0-py3-none-any.whl
  86. Collecting pytest-cov==2.10.0 (from -r requirements.txt (line 45))
  87.   Downloading https://files.pythonhosted.org/packages/3d/13/ae3dec587b1cc07fb9f294e52ea9ad140266aea55adb9e12eade3625bd27/pytest_cov-2.10.0-py2.py3-none-any.whl
  88. Requirement already satisfied: python-dateutil==2.8.1 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 46))
  89. Requirement already satisfied: python-dotenv in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 47))
  90. Collecting pytz==2020.1 (from -r requirements.txt (line 48))
  91.   Downloading https://files.pythonhosted.org/packages/4f/a4/879454d49688e2fad93e59d7d4efda580b783c745fd2ec2a3adf87b0808d/pytz-2020.1-py2.py3-none-any.whl (510kB)
  92. Collecting redis==3.5.3 (from -r requirements.txt (line 49))
  93.   Downloading https://files.pythonhosted.org/packages/a7/7c/24fb0511df653cf1a5d938d8f5d19802a88cef255706fdda242ff97e91b7/redis-3.5.3-py2.py3-none-any.whl (72kB)
  94. Collecting requests==2.24.0 (from -r requirements.txt (line 50))
  95.   Downloading https://files.pythonhosted.org/packages/45/1e/0c169c6a5381e241ba7404532c16a21d86ab872c9bed8bdcd4c423954103/requests-2.24.0-py2.py3-none-any.whl (61kB)
  96. Requirement already satisfied: requests-oauthlib==1.3.0 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 51))
  97. Collecting requirements-parser==0.2.0 (from -r requirements.txt (line 52))
  98.   Downloading https://files.pythonhosted.org/packages/03/80/eb6ba1dd0429089436e90e556db50884ea21da060b10f2e5668c4cac99da/requirements-parser-0.2.0.tar.gz
  99. Collecting seaborn==0.10.1 (from -r requirements.txt (line 53))
  100.   Downloading https://files.pythonhosted.org/packages/c7/e6/54aaaafd0b87f51dfba92ba73da94151aa3bc179e5fe88fc5dfb3038e860/seaborn-0.10.1-py3-none-any.whl (215kB)
  101. Collecting six==1.15.0 (from -r requirements.txt (line 54))
  102.   Downloading https://files.pythonhosted.org/packages/ee/ff/48bde5c0f013094d729fe4b0316ba2a24774b3ff1c52d924a8a4cb04078a/six-1.15.0-py2.py3-none-any.whl
  103. Collecting SQLAlchemy==1.3.18 (from -r requirements.txt (line 55))
  104.   Downloading https://files.pythonhosted.org/packages/0b/1e/2ecb43005ea73c650687071165901cc5b4dc966ede82b9fada0dc0a01e79/SQLAlchemy-1.3.18-cp37-cp37m-manylinux1_x86_64.whl (1.3MB)
  105. Collecting sqlalchemy-utils==0.36.8 (from -r requirements.txt (line 56))
  106.   Downloading https://files.pythonhosted.org/packages/14/68/e5301c4c960c79a32333b8805e52cb69d3d237aa869a773b4157ccb3eb26/SQLAlchemy-Utils-0.36.8.tar.gz (138kB)
  107. Collecting titlecase==1.1.1 (from -r requirements.txt (line 57))
  108.   Downloading https://files.pythonhosted.org/packages/ad/fb/b7996f035728b265055392961f9abe5e16103916570498dcb24d0d29f40d/titlecase-1.1.1-py3-none-any.whl
  109. Collecting typing-extensions==3.7.4.2 (from -r requirements.txt (line 58))
  110.   Downloading https://files.pythonhosted.org/packages/0c/0e/3f026d0645d699e7320b59952146d56ad7c374e9cd72cd16e7c74e657a0f/typing_extensions-3.7.4.2-py3-none-any.whl
  111. Collecting untangle==1.1.1 (from -r requirements.txt (line 59))
  112.   Downloading https://files.pythonhosted.org/packages/f4/eb/a19a34858cd702b09524bd2ddb01c0d75a71f993a96aec8755a76e867911/untangle-1.1.1.tar.gz
  113. Collecting vcrpy==4.0.2 (from -r requirements.txt (line 60))
  114.   Downloading https://files.pythonhosted.org/packages/ae/52/a6248969b77176e4264161e809f07403b6135d7114c8a381fc4db9e079c8/vcrpy-4.0.2-py2.py3-none-any.whl
  115. Collecting werkzeug==1.0.1 (from -r requirements.txt (line 61))
  116.   Downloading https://files.pythonhosted.org/packages/cc/94/5f7079a0e00bd6863ef8f1da638721e9da21e5bacee597595b318f71d62e/Werkzeug-1.0.1-py2.py3-none-any.whl (298kB)
  117. Collecting whatthepatch==1.0.0 (from -r requirements.txt (line 62))
  118.   Downloading https://files.pythonhosted.org/packages/50/88/31b0838862d2a8fbc84f3ac1cc7275ad84150f38fbe79dd34c385ddfb25e/whatthepatch-1.0.0-py2.py3-none-any.whl
  119. Requirement already satisfied: whoosh==2.7.4 in /usr/local/python3.7/lib/python3.7/site-packages (from -r requirements.txt (line 63))
  120. Collecting pip>=10.0.1 (from pip-check-reqs==2.0.3->-r requirements.txt (line 20))
  121.   Downloading https://files.pythonhosted.org/packages/43/84/23ed6a1796480a6f1a2d38f2802901d078266bda38388954d01d3f2e821d/pip-20.1.1-py2.py3-none-any.whl (1.5MB)
  122. Collecting wrapt~=1.11 (from astroid==2.4.2->-r requirements.txt (line 2))
  123.   Downloading https://files.pythonhosted.org/packages/82/f7/e43cefbe88c5fd371f4cf0cf5eb3feccd07515af9fd6cf7dbf1d1793a797/wrapt-1.12.1.tar.gz
  124. Collecting typed-ast<1.5,>=1.4.0; implementation_name == "cpython" and python_version < "3.8" (from astroid==2.4.2->-r requirements.txt (line 2))
  125.   Downloading https://files.pythonhosted.org/packages/5d/10/0c1e8aa723a2b0c4032e048d8e511df82c8a1262f0e1df5e4c54eb2613e9/typed_ast-1.4.1-cp37-cp37m-manylinux1_x86_64.whl (737kB)
  126. Collecting lazy-object-proxy==1.4.* (from astroid==2.4.2->-r requirements.txt (line 2))
  127.   Downloading https://files.pythonhosted.org/packages/23/f8/69df5a663b59512eb9f9b84e7f203c48c7a933e460316e9ebf4db2871ae0/lazy_object_proxy-1.4.3-cp37-cp37m-manylinux1_x86_64.whl (56kB)
  128. Requirement already satisfied: soupsieve>1.2 in /usr/local/python3.7/lib/python3.7/site-packages (from beautifulsoup4==4.9.1->-r requirements.txt (line 5))
  129. Collecting msgpack>=0.5.2 (from cachecontrol[filecache]==0.12.6->-r requirements.txt (line 7))
  130.   Downloading https://files.pythonhosted.org/packages/d2/9f/5a6805e7e745531da7acc882f9ba4550ffd7d6f05a668a22b385f52741ee/msgpack-1.0.0-cp37-cp37m-manylinux1_x86_64.whl (275kB)
  131. Collecting lockfile>=0.9; extra == "filecache" (from cachecontrol[filecache]==0.12.6->-r requirements.txt (line 7))
  132.   Downloading https://files.pythonhosted.org/packages/c8/22/9460e311f340cb62d26a38c419b1381b8593b0bb6b5d1f056938b086d362/lockfile-0.12.2-py2.py3-none-any.whl
  133. Collecting validators (from changelogs==0.14.0->-r requirements.txt (line 9))
  134.   Downloading https://files.pythonhosted.org/packages/c0/74/66419c1dad0c4e66b0c79f28d83f1259ed8648f35d8de10de8acff474f0f/validators-0.16.0.tar.gz
  135. Collecting gitchangelog (from changelogs==0.14.0->-r requirements.txt (line 9))
  136.   Downloading https://files.pythonhosted.org/packages/9d/f9/554f9d1e2031a330148299b81ed7d6d5f1ef8969154384ca4ae8dd403b7a/gitchangelog-3.0.4-py2.py3-none-any.whl (54kB)
  137. Requirement already satisfied: lxml in /usr/local/python3.7/lib/python3.7/site-packages (from changelogs==0.14.0->-r requirements.txt (line 9))
  138. Collecting aiohttp<3.7.0,>=3.6.0 (from discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  139.   Downloading https://files.pythonhosted.org/packages/e3/71/6000eacb8923d9fd07aa8784a8fab4f022ae697f3c2456d7dca75c743dd6/aiohttp-3.6.2-cp37-cp37m-manylinux1_x86_64.whl (1.2MB)
  140. Requirement already satisfied: websockets!=7.0,!=8.0,!=8.0.1,<9.0,>=6.0 in /usr/local/python3.7/lib/python3.7/site-packages (from discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  141. Collecting PyNaCl==1.3.0; extra == "voice" (from discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  142.   Downloading https://files.pythonhosted.org/packages/27/15/2cd0a203f318c2240b42cd9dd13c931ddd61067809fee3479f44f086103e/PyNaCl-1.3.0-cp34-abi3-manylinux1_x86_64.whl (759kB)
  143. Requirement already satisfied: click>=5.1 in /usr/local/python3.7/lib/python3.7/site-packages (from flask==1.1.2->-r requirements.txt (line 13))
  144. Requirement already satisfied: itsdangerous>=0.24 in /usr/local/python3.7/lib/python3.7/site-packages (from flask==1.1.2->-r requirements.txt (line 13))
  145. Requirement already satisfied: Jinja2>=2.10.1 in /usr/local/python3.7/lib/python3.7/site-packages (from flask==1.1.2->-r requirements.txt (line 13))
  146. Requirement already satisfied: alembic>=0.7 in /usr/local/python3.7/lib/python3.7/site-packages (from Flask-Migrate==2.5.3->-r requirements.txt (line 15))
  147. Requirement already satisfied: jsonschema in /usr/local/python3.7/lib/python3.7/site-packages (from flask-restx==0.2.0->-r requirements.txt (line 16))
  148. Collecting aniso8601>=0.82 (from flask-restx==0.2.0->-r requirements.txt (line 16))
  149.   Downloading https://files.pythonhosted.org/packages/eb/e4/787e104b58eadc1a710738d4e418d7e599e4e778e52cb8e5d5ef6ddd5833/aniso8601-8.0.0-py2.py3-none-any.whl (43kB)
  150. Collecting wcwidth (from ftfy==5.8->-r requirements.txt (line 19))
  151.   Downloading https://files.pythonhosted.org/packages/59/7c/e39aca596badaf1b78e8f547c807b04dae603a433d3e7a7e04d67f2ef3e5/wcwidth-0.2.5-py2.py3-none-any.whl
  152. Requirement already satisfied: google-api-core<2dev,>=1.18.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-python-client==1.10.0->-r requirements.txt (line 22))
  153. Requirement already satisfied: uritemplate<4dev,>=3.0.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-python-client==1.10.0->-r requirements.txt (line 22))
  154. Requirement already satisfied: httplib2<1dev,>=0.9.2 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-python-client==1.10.0->-r requirements.txt (line 22))
  155. Requirement already satisfied: google-auth>=1.16.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-python-client==1.10.0->-r requirements.txt (line 22))
  156. Requirement already satisfied: google-auth-httplib2>=0.0.3 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-python-client==1.10.0->-r requirements.txt (line 22))
  157. Requirement already satisfied: importlib-metadata; python_version < "3.8" in /usr/local/python3.7/lib/python3.7/site-packages (from inflect==4.1.0->-r requirements.txt (line 23))
  158. Collecting editorconfig>=0.12.2 (from jsbeautifier==1.11.0->-r requirements.txt (line 25))
  159.   Downloading https://files.pythonhosted.org/packages/2e/7a/aedb7e1cba1778c1d78c4f6ad88d4b0dfca6b991befa248164121091d911/EditorConfig-0.12.2.tar.gz
  160. Requirement already satisfied: kiwisolver>=1.0.1 in /usr/local/python3.7/lib/python3.7/site-packages (from matplotlib==3.3.0->-r requirements.txt (line 27))
  161. Requirement already satisfied: numpy>=1.15 in /usr/local/python3.7/lib/python3.7/site-packages (from matplotlib==3.3.0->-r requirements.txt (line 27))
  162. Requirement already satisfied: cycler>=0.10 in /usr/local/python3.7/lib/python3.7/site-packages (from matplotlib==3.3.0->-r requirements.txt (line 27))
  163. Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.3 in /usr/local/python3.7/lib/python3.7/site-packages (from matplotlib==3.3.0->-r requirements.txt (line 27))
  164. Collecting deprecated (from pygithub==1.51->-r requirements.txt (line 36))
  165.   Downloading https://files.pythonhosted.org/packages/76/a1/05d7f62f956d77b23a640efc650f80ce24483aa2f85a09c03fb64f49e879/Deprecated-1.2.10-py2.py3-none-any.whl
  166. Collecting mccabe<0.7,>=0.6 (from pylint==2.5.3->-r requirements.txt (line 40))
  167.   Downloading https://files.pythonhosted.org/packages/87/89/479dc97e18549e21354893e4ee4ef36db1d237534982482c3681ee6e7b57/mccabe-0.6.1-py2.py3-none-any.whl
  168. Collecting toml>=0.7.1 (from pylint==2.5.3->-r requirements.txt (line 40))
  169.   Downloading https://files.pythonhosted.org/packages/9f/e1/1b40b80f2e1663a6b9f497123c11d7d988c0919abbf3c3f2688e448c5363/toml-0.10.1-py2.py3-none-any.whl
  170. Collecting pluggy<1.0,>=0.12 (from pytest==5.4.3->-r requirements.txt (line 43))
  171.   Downloading https://files.pythonhosted.org/packages/a0/28/85c7aa31b80d150b772fbe4a229487bc6644da9ccb7e427dd8cc60cb8a62/pluggy-0.13.1-py2.py3-none-any.whl
  172. Collecting py>=1.5.0 (from pytest==5.4.3->-r requirements.txt (line 43))
  173.   Downloading https://files.pythonhosted.org/packages/68/0f/41a43535b52a81e4f29e420a151032d26f08b62206840c48d14b70e53376/py-1.9.0-py2.py3-none-any.whl (99kB)
  174. Collecting more-itertools>=4.0.0 (from pytest==5.4.3->-r requirements.txt (line 43))
  175.   Downloading https://files.pythonhosted.org/packages/ef/9b/6c35ec5483710492e21252465160ee508170159f7e0e2d6cd769022f52f6/more_itertools-8.4.0-py3-none-any.whl (43kB)
  176. Requirement already satisfied: certifi>=2017.4.17 in /usr/local/python3.7/lib/python3.7/site-packages (from requests==2.24.0->-r requirements.txt (line 50))
  177. Requirement already satisfied: chardet<4,>=3.0.2 in /usr/local/python3.7/lib/python3.7/site-packages (from requests==2.24.0->-r requirements.txt (line 50))
  178. Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/local/python3.7/lib/python3.7/site-packages (from requests==2.24.0->-r requirements.txt (line 50))
  179. Requirement already satisfied: idna<3,>=2.5 in /usr/local/python3.7/lib/python3.7/site-packages (from requests==2.24.0->-r requirements.txt (line 50))
  180. Requirement already satisfied: oauthlib>=3.0.0 in /usr/local/python3.7/lib/python3.7/site-packages (from requests-oauthlib==1.3.0->-r requirements.txt (line 51))
  181. Collecting scipy>=1.0.1 (from seaborn==0.10.1->-r requirements.txt (line 53))
  182.   Downloading https://files.pythonhosted.org/packages/65/f9/f7a7e5009711579c72da2725174825e5056741bf4001815d097eef1b2e17/scipy-1.5.2-cp37-cp37m-manylinux1_x86_64.whl (25.9MB)
  183. Requirement already satisfied: pandas>=0.22.0 in /usr/local/python3.7/lib/python3.7/site-packages (from seaborn==0.10.1->-r requirements.txt (line 53))
  184. Collecting regex>=2020.4.4 (from titlecase==1.1.1->-r requirements.txt (line 57))
  185.   Downloading https://files.pythonhosted.org/packages/b6/0b/571619431d3ab416b9ffeca1fdf6cc1b388581b087250fb56e7227d16088/regex-2020.7.14-cp37-cp37m-manylinux1_x86_64.whl (660kB)
  186. Requirement already satisfied: yarl; python_version >= "3.6" in /usr/local/python3.7/lib/python3.7/site-packages (from vcrpy==4.0.2->-r requirements.txt (line 60))
  187. Requirement already satisfied: PyYAML in /usr/local/python3.7/lib/python3.7/site-packages (from vcrpy==4.0.2->-r requirements.txt (line 60))
  188. Requirement already satisfied: decorator>=3.4.0 in /usr/local/python3.7/lib/python3.7/site-packages (from validators->changelogs==0.14.0->-r requirements.txt (line 9))
  189. Requirement already satisfied: async-timeout<4.0,>=3.0 in /usr/local/python3.7/lib/python3.7/site-packages (from aiohttp<3.7.0,>=3.6.0->discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  190. Requirement already satisfied: multidict<5.0,>=4.5 in /usr/local/python3.7/lib/python3.7/site-packages (from aiohttp<3.7.0,>=3.6.0->discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  191. Requirement already satisfied: cffi>=1.4.1 in /usr/local/python3.7/lib/python3.7/site-packages (from PyNaCl==1.3.0; extra == "voice"->discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  192. Requirement already satisfied: MarkupSafe>=0.23 in /usr/local/python3.7/lib/python3.7/site-packages (from Jinja2>=2.10.1->flask==1.1.2->-r requirements.txt (line 13))
  193. Requirement already satisfied: python-editor>=0.3 in /usr/local/python3.7/lib/python3.7/site-packages (from alembic>=0.7->Flask-Migrate==2.5.3->-r requirements.txt (line 15))
  194. Requirement already satisfied: Mako in /usr/local/python3.7/lib/python3.7/site-packages (from alembic>=0.7->Flask-Migrate==2.5.3->-r requirements.txt (line 15))
  195. Requirement already satisfied: pyrsistent>=0.14.0 in /usr/local/python3.7/lib/python3.7/site-packages (from jsonschema->flask-restx==0.2.0->-r requirements.txt (line 16))
  196. Requirement already satisfied: setuptools in /usr/local/python3.7/lib/python3.7/site-packages (from jsonschema->flask-restx==0.2.0->-r requirements.txt (line 16))
  197. Requirement already satisfied: googleapis-common-protos<2.0dev,>=1.6.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-core<2dev,>=1.18.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  198. Requirement already satisfied: protobuf>=3.4.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-api-core<2dev,>=1.18.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  199. Requirement already satisfied: pyasn1-modules>=0.2.1 in /usr/local/python3.7/lib/python3.7/site-packages (from google-auth>=1.16.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  200. Requirement already satisfied: cachetools<5.0,>=2.0.0 in /usr/local/python3.7/lib/python3.7/site-packages (from google-auth>=1.16.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  201. Requirement already satisfied: rsa<4.1,>=3.1.4 in /usr/local/python3.7/lib/python3.7/site-packages (from google-auth>=1.16.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  202. Requirement already satisfied: zipp>=0.5 in /usr/local/python3.7/lib/python3.7/site-packages (from importlib-metadata; python_version < "3.8"->inflect==4.1.0->-r requirements.txt (line 23))
  203. Requirement already satisfied: pycparser in /usr/local/python3.7/lib/python3.7/site-packages (from cffi>=1.4.1->PyNaCl==1.3.0; extra == "voice"->discord.py[voice]==1.3.4->-r requirements.txt (line 11))
  204. Requirement already satisfied: pyasn1<0.5.0,>=0.4.6 in /usr/local/python3.7/lib/python3.7/site-packages (from pyasn1-modules>=0.2.1->google-auth>=1.16.0->google-api-python-client==1.10.0->-r requirements.txt (line 22))
  205. Building wheels for collected packages: feedparser, ftfy, jsbeautifier, mysqlclient, poeditor, pygtrie, pystache, requirements-parser, sqlalchemy-utils, untangle, wrapt, validators, editorconfig
  206.   Running setup.py bdist_wheel for feedparser: started
  207.   Running setup.py bdist_wheel for feedparser: finished with status 'done'
  208.   Stored in directory: /home/heirloom/.cache/pip/wheels/8c/69/b7/f52763c41c5471df57703a0ef718a32a5e81ee35dcf6d4f97f
  209.   Running setup.py bdist_wheel for ftfy: started
  210.   Running setup.py bdist_wheel for ftfy: finished with status 'done'
  211.   Stored in directory: /home/heirloom/.cache/pip/wheels/ba/c0/ef/f28c4da5ac84a4e06ac256ca9182fc34fa57fefffdbc68425b
  212.   Running setup.py bdist_wheel for jsbeautifier: started
  213.   Running setup.py bdist_wheel for jsbeautifier: finished with status 'done'
  214.   Stored in directory: /home/heirloom/.cache/pip/wheels/dc/b7/8c/705b1fa932cab2d20a64ad074baa86402d798d7ac4a2fc09ea
  215.   Running setup.py bdist_wheel for mysqlclient: started
  216.   Running setup.py bdist_wheel for mysqlclient: finished with status 'done'
  217.   Stored in directory: /home/heirloom/.cache/pip/wheels/9b/7f/b2/37e58c736a79a5754eb4e5559694821c98e640faed495e2501
  218.   Running setup.py bdist_wheel for poeditor: started
  219.   Running setup.py bdist_wheel for poeditor: finished with status 'done'
  220.   Stored in directory: /home/heirloom/.cache/pip/wheels/80/ba/09/54d9b766ad0a6ffe4894d3e59ea1ba80a3b963cf7108a53d4d
  221.   Running setup.py bdist_wheel for pygtrie: started
  222.   Running setup.py bdist_wheel for pygtrie: finished with status 'done'
  223.   Stored in directory: /home/heirloom/.cache/pip/wheels/82/d7/11/247da78ea064e39795bd9248c24c8870a14620c09a8e2dab33
  224.   Running setup.py bdist_wheel for pystache: started
  225.   Running setup.py bdist_wheel for pystache: finished with status 'done'
  226.   Stored in directory: /home/heirloom/.cache/pip/wheels/a6/e9/b0/a29a4f37e8f5a765473dd7936ef025d9d2543e07b55d88697c
  227.   Running setup.py bdist_wheel for requirements-parser: started
  228.   Running setup.py bdist_wheel for requirements-parser: finished with status 'done'
  229.   Stored in directory: /home/heirloom/.cache/pip/wheels/c6/e5/ef/a12b26033eee476b7ebdd797528faa1765feae6e3b33a3954b
  230.   Running setup.py bdist_wheel for sqlalchemy-utils: started
  231.   Running setup.py bdist_wheel for sqlalchemy-utils: finished with status 'done'
  232.   Stored in directory: /home/heirloom/.cache/pip/wheels/68/31/b6/a96bf6868f42753696d647846c9a0f8e51bd99295790d07660
  233.   Running setup.py bdist_wheel for untangle: started
  234.   Running setup.py bdist_wheel for untangle: finished with status 'done'
  235.   Stored in directory: /home/heirloom/.cache/pip/wheels/16/18/ff/b217dc66c822e07c274599310ba25ffce62cda02fc1c0bdca2
  236.   Running setup.py bdist_wheel for wrapt: started
  237.   Running setup.py bdist_wheel for wrapt: finished with status 'done'
  238.   Stored in directory: /home/heirloom/.cache/pip/wheels/b1/c2/ed/d62208260edbd3fa7156545c00ef966f45f2063d0a84f8208a
  239.   Running setup.py bdist_wheel for validators: started
  240.   Running setup.py bdist_wheel for validators: finished with status 'done'
  241.   Stored in directory: /home/heirloom/.cache/pip/wheels/2e/55/d5/aae621d5c90615ce56e8fd4cb535c9c40adf6bc4e81f1fb858
  242.   Running setup.py bdist_wheel for editorconfig: started
  243.   Running setup.py bdist_wheel for editorconfig: finished with status 'done'
  244.   Stored in directory: /home/heirloom/.cache/pip/wheels/59/74/2e/26b7344c51a5786512d40c70a3653892dc52bcb99880f22c24
  245. Successfully built feedparser ftfy jsbeautifier mysqlclient poeditor pygtrie pystache requirements-parser sqlalchemy-utils untangle wrapt validators editorconfig
  246. Installing collected packages: six, anytree, wrapt, typed-ast, lazy-object-proxy, astroid, pytz, babel, beautifulsoup4, better-profanity, msgpack, requests, lockfile, cachecontrol, cachelib, packaging, validators, gitchangelog, changelogs, coverage, aiohttp, PyNaCl, discord.py, feedparser, werkzeug, flask, flask-babel, SQLAlchemy, Flask-SQLAlchemy, Flask-Migrate, aniso8601, flask-restx, flask-session, wcwidth, ftfy, github-webhook, google-api-python-client, inflect, isort, editorconfig, jsbeautifier, pillow, matplotlib, munch, typing-extensions, mypy-extensions, mypy, mysqlclient, plumbum, poeditor, deprecated, pygithub, pygtrie, pyhumps, mccabe, toml, pylint, pylint-quotes, pystache, pluggy, py, more-itertools, pytest, pytest-asyncio, pytest-cov, redis, requirements-parser, scipy, seaborn, sqlalchemy-utils, regex, titlecase, untangle, vcrpy, whatthepatch, pip, pip-check-reqs
  247.   Running setup.py install for pip-check-reqs: started
  248.     Running setup.py install for pip-check-reqs: finished with status 'done'
  249. Successfully installed Flask-Migrate-2.5.3 Flask-SQLAlchemy-2.4.4 PyNaCl-1.3.0 SQLAlchemy-1.3.18 aiohttp-3.6.2 aniso8601-8.0.0 anytree-2.8.0 astroid-2.4.2 babel-2.8.0 beautifulsoup4-4.9.1 better-profanity-0.6.1 cachecontrol-0.12.6 cachelib-0.1.1 changelogs-0.14.0 coverage-5.2 deprecated-1.2.10 discord.py-1.3.4 editorconfig-0.12.2 feedparser-5.2.1 flask-1.1.2 flask-babel-1.0.0 flask-restx-0.2.0 flask-session-0.3.2 ftfy-5.8 gitchangelog-3.0.4 github-webhook-1.0.4 google-api-python-client-1.10.0 inflect-4.1.0 isort-4.3.21 jsbeautifier-1.11.0 lazy-object-proxy-1.4.3 lockfile-0.12.2 matplotlib-3.3.0 mccabe-0.6.1 more-itertools-8.4.0 msgpack-1.0.0 munch-2.5.0 mypy-0.782 mypy-extensions-0.4.3 mysqlclient-2.0.1 packaging-20.4 pillow-7.2.0 pip-20.1.1 pip-check-reqs-2.0.3 pluggy-0.13.1 plumbum-1.6.9 poeditor-1.1.2 py-1.9.0 pygithub-1.51 pygtrie-2.3.3 pyhumps-1.6.1 pylint-2.5.3 pylint-quotes-0.2.1 pystache-0.5.4 pytest-5.4.3 pytest-asyncio-0.14.0 pytest-cov-2.10.0 pytz-2020.1 redis-3.5.3 regex-2020.7.14 requests-2.24.0 requirements-parser-0.2.0 scipy-1.5.2 seaborn-0.10.1 six-1.15.0 sqlalchemy-utils-0.36.8 titlecase-1.1.1 toml-0.10.1 typed-ast-1.4.1 typing-extensions-3.7.4.2 untangle-1.1.1 validators-0.16.0 vcrpy-4.0.2 wcwidth-0.2.5 werkzeug-1.0.1 whatthepatch-1.0.0 wrapt-1.12.1
  250. You are using pip version 9.0.3, however version 20.1.1 is available.
  251. You should consider upgrading via the 'pip install --upgrade pip' command.
  252. Please run ./dev.py build
  253. >>>> Installing Requirements
  254. >>>> Installing node modules
  255. Traceback (most recent call last):
  256.   File "dev.py", line 381, in <module>
  257.     run()
  258.   File "dev.py", line 33, in run
  259.     run_dangerously()
  260.   File "dev.py", line 85, in run_dangerously
  261.     build()
  262.   File "dev.py", line 275, in build
  263.     subprocess.check_call(['npm', 'install'], shell=ON_WINDOWS)
  264.   File "/usr/local/python3.7/lib/python3.7/subprocess.py", line 342, in check_call
  265.     retcode = call(*popenargs, **kwargs)
  266.   File "/usr/local/python3.7/lib/python3.7/subprocess.py", line 323, in call
  267.     with Popen(*popenargs, **kwargs) as p:
  268.   File "/usr/local/python3.7/lib/python3.7/subprocess.py", line 775, in __init__
  269.     restore_signals, start_new_session)
  270.   File "/usr/local/python3.7/lib/python3.7/subprocess.py", line 1522, in _execute_child
  271.     raise child_exception_type(errno_num, err_msg, err_filename)
  272. FileNotFoundError: [Errno 2] No such file or directory: 'npm': 'npm'
RAW Paste Data